# Uses of Interface
com.sun.mail.imap.IMAPFolder.ProtocolCommand

Packages that use IMAPFolder.ProtocolCommand
Package
Description
com.sun.mail.imap
An IMAP protocol provider for the Jakarta Mail API that provides access to an IMAP message store.

## Uses of IMAPFolder.ProtocolCommand in com.sun.mail.imap

Methods in com.sun.mail.imap with parameters of type IMAPFolder.ProtocolCommand
Modifier and Type
Method
Description
`Object`
IMAPFolder.`doCommand(IMAPFolder.ProtocolCommand cmd)`
Execute a user-supplied IMAP command.
`Object`
IMAPFolder.`doCommandIgnoreFailure(IMAPFolder.ProtocolCommand cmd)`
`Object`
IMAPFolder.`doOptionalCommand(String err, IMAPFolder.ProtocolCommand cmd)`
`protected Object`
IMAPFolder.`doProtocolCommand(IMAPFolder.ProtocolCommand cmd)`